summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2019-10-10 10:14:40 +0200
committerAmy Liffey <amynka@gentoo.org>2019-10-10 10:15:43 +0200
commitb0e38d1d701bbd51755dee5e3c3bb476c47497f6 (patch)
treedbc96fc3e6aea5b1ce82c36bf96ffa6adc356a1b
parentnet-print/cups-filters: Removed old (diff)
downloadgentoo-b0e38d1d701bbd51755dee5e3c3bb476c47497f6.tar.gz
gentoo-b0e38d1d701bbd51755dee5e3c3bb476c47497f6.tar.bz2
gentoo-b0e38d1d701bbd51755dee5e3c3bb476c47497f6.zip
app-crypt/eid-mw: version bump 4.4.23
Submitted-by: Vincent Hardy <vincent.hardy.be@gmail.com> Closes: https://bugs.gentoo.org/696426 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Amy Liffey <amynka@gentoo.org>
-rw-r--r--app-crypt/eid-mw/Manifest1
-rw-r--r--app-crypt/eid-mw/eid-mw-4.4.23.ebuild103
2 files changed, 104 insertions, 0 deletions
diff --git a/app-crypt/eid-mw/Manifest b/app-crypt/eid-mw/Manifest
index 79288d7cf0c..587b27afaad 100644
--- a/app-crypt/eid-mw/Manifest
+++ b/app-crypt/eid-mw/Manifest
@@ -1,2 +1,3 @@
DIST eid-mw-4.4.1.tar.gz 7708697 BLAKE2B 7bdbaa37af1cdd5a8abd1519939f663c7c871cea49850932d97c391465de362885b061c024285ab2690473a4bb1ba57a70fdc12a720246b2a610ac9525f6395e SHA512 9de54858ac052eeff101070dd11c5cf60ab1d29b8dc8d946680745acf9aa6ba1044ca5451eca6066b5b467fbc32a2a23bbe7e8551ca7559e6003a4097a304cfc
DIST eid-mw-4.4.19.tar.gz 7941144 BLAKE2B c02f975081eacf7803839461ae91e3c6a24c3e2fc60064a981cc71f629925679b0df997e8acbe2da2f1e58dcc665b8633e3c9bf28b07be90ac8cdd0448e80848 SHA512 21530111461302123be662dd60f3fbd56ffd8a0537cac88c99d5a6bcd9163a27bc34e05beaf7502dd5ada247ca324d21590a866907b5a7a02ce3d8d78fcac634
+DIST eid-mw-4.4.23.tar.gz 7502185 BLAKE2B ab223c2d860f44806a6043a40891d89ab3418dd232bba1d60bd9b0b6871a77e6e24bc73c49afcffabc8ae7f16c235aabfb17efb8af7543b0e2bd3fe76ba655f7 SHA512 7c90d7ca08dcd2ba4d0c918b5ba6305da6107de457209acb9a0cc3243891c9b654b1c12fe4da53ec8bad65617198c0caffdb0482e343a8d807f00762e6672310
diff --git a/app-crypt/eid-mw/eid-mw-4.4.23.ebuild b/app-crypt/eid-mw/eid-mw-4.4.23.ebuild
new file mode 100644
index 00000000000..95d518b2d3f
--- /dev/null
+++ b/app-crypt/eid-mw/eid-mw-4.4.23.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools desktop gnome2-utils xdg-utils
+
+DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian Federal Government"
+HOMEPAGE="https://eid.belgium.be"
+SRC_URI="https://codeload.github.com/fedict/${PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+dialogs +gtk +p11v220 p11-kit"
+
+RDEPEND=">=sys-apps/pcsc-lite-1.2.9
+ gtk? (
+ x11-libs/gdk-pixbuf[jpeg]
+ x11-libs/gtk+:*
+ dev-libs/libxml2
+ net-misc/curl[ssl]
+ net-libs/libproxy
+ !app-misc/eid-viewer-bin
+ )
+ p11-kit? ( app-crypt/p11-kit )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+REQUIRED_USE="dialogs? ( gtk )"
+
+src_prepare() {
+ default
+
+ sed -i -e 's:/beid/rsaref220:/rsaref220:' configure.ac || die
+ sed -i -e 's:/beid::' cardcomm/pkcs11/src/libbeidpkcs11.pc.in || die
+
+ # Buggy internal versioning when autoreconf a tarball release.
+ # Weird numbering is required otherwise we get a seg fault in
+ # about-eid-mw program.
+ echo "${PV}-v${PV}" > .version
+ sed -i \
+ -e '/^GITDESC/ d' \
+ -e '/^VERCLEAN/ d' \
+ scripts/build-aux/genver.sh
+
+ # legacy xpi module : we don't want it anymore
+ sed -i -e '/SUBDIRS/ s:plugins_tools/xpi ::' Makefile.am || die
+ sed -i -e '/plugins_tools\/xpi/ d' configure.ac || die
+
+ # hardcoded lsb_info
+ sed -i \
+ -e "s:get_lsb_info('i'):strdup(_(\"Gentoo\")):" \
+ -e "s:get_lsb_info('r'):strdup(_(\"n/a\")):" \
+ -e "s:get_lsb_info('c'):strdup(_(\"n/a\")):" \
+ plugins_tools/aboutmw/gtk/about-main.c || die
+
+ # Fix libdir for pkcs11_manifestdir
+ sed -i \
+ -e "/pkcs11_manifestdir/ s:prefix)/lib:libdir):" \
+ cardcomm/pkcs11/src/Makefile.am || die
+
+ # See bug #691308
+ eapply "${FILESDIR}/eid-sign-test-4.4.19.patch"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable dialogs) \
+ $(use_enable p11v220) \
+ $(use_enable p11-kit p11kit) \
+ $(use_with gtk gtkvers 'detect') \
+ --with-gnu-ld \
+ --disable-static
+}
+
+src_install() {
+ default
+ rm -r "${ED}"/usr/$(get_libdir)/*.la || die
+ if use gtk; then
+ domenu plugins_tools/eid-viewer/eid-viewer.desktop
+ doicon plugins_tools/eid-viewer/gtk/eid-viewer.png
+ fi
+}
+
+pkg_postinst(){
+ if use gtk; then
+ gnome2_schemas_update
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}
+
+pkg_postrm(){
+ if use gtk; then
+ gnome2_schemas_update
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}